package net.wanji.opt.controllerv2.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CrossRunStatePeakDetailAnalysisDataVO {

    @ApiModelProperty(value = "峰期名称", example = "早高峰/晚高峰",position = 0)
    private String peakName;

    @ApiModelProperty(value = "本周交通指数", example = "3.4",position = 1)
    private Integer thisWeekTrafficIndex;
    @ApiModelProperty(value = "上周交通指数", example = "3.4",position = 2)
    private Integer lastWeekTrafficIndex;

    @ApiModelProperty(value = "本周通行能力", example = "15900",position = 3)
    private Integer thisWeekWorkCapacity;
    @ApiModelProperty(value = "上周通行能力", example = "16000",position = 4)
    private Integer lastWeekCapacity;

    @ApiModelProperty(value = "本周平均延误（S）", example = "40",position = 5)
    private Integer thisWeekWorkDelayTime;
    @ApiModelProperty(value = "上周平均延误（S）", example = "40",position = 6)
    private Integer lastWeekDelayTime;

    @ApiModelProperty(value = "本周最大排队", example = "240",position = 7)
    private Integer thisWeekMaxQueueLength;
    @ApiModelProperty(value = "上周最大排队", example = "240",position = 8)
    private Integer lastWeekMaxQueueLength;

    @ApiModelProperty(value = "本周停车次数", example = "4",position = 9)
    private Integer thisWeekStopTimes;
    @ApiModelProperty(value = "上周停车次数", example = "3.5",position = 10)
    private Integer lastWeekStopTimes;

}