package net.wanji.opt.entity.strategy;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;
/*
* 优先级配置推送神思最外层
* */
@Data
@EqualsAndHashCode(callSuper = false)
public class StrategyPriorityConfigPush implements Serializable {
    //区分1：路口，2干线
    private Integer type;
    // 路口 ID 列表
    private List<String> crossId;
    // 干线 ID 列表
    private List<Integer> greenId;
    // 分组详情列表
    private List<GroupIdDetails> groupIdDetails;

}
