package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "CrossProblemTotalityDataList", description = "路口事情信息")
public class CrossProblemTotalityDataList {
    @ApiModelProperty(value = "数据类型：1次数 2时长",example = "1",position = 0)
    private   String dataType ;

    @ApiModelProperty(value = "本周溢出数值【次数或时长】",example = "8900",position = 0)
    private   String thisWeekOverFlowNumber ;
    @ApiModelProperty(value = "上周溢出数值【次数或时长】",example = "8900",position = 1)
    private   String lastWeekOverFlowNumber ;

    @ApiModelProperty(value = "本周拥堵数值【次数或时长】",example = "8900",position = 2)
    private   String thisWeekCongestNumber ;
    @ApiModelProperty(value = "上周拥堵数值【次数或时长】",example = "8900",position = 3)
    private   String lastWeekCongestNumber ;

    @ApiModelProperty(value = "本周失衡数值【次数或时长】",example = "8900",position = 4)
    private   String thisWeekUnbalanceNumber ;
    @ApiModelProperty(value = "上周失衡数值【次数或时长】",example = "8900",position = 5)
    private   String lastWeekUnbalanceNumber ;

    @ApiModelProperty(value = "本周空放数值【次数或时长】",example = "8900",position = 6)
    private   String thisWeekEmptyPassNumber ;
    @ApiModelProperty(value = "上周空放数值【次数或时长】",example = "8900",position = 7)
    private   String lastWeekEmptyPassNumber ;
}
